# Method: projects.firewallpolicies.reorder

- [HTTP request](https://docs.cloud.google.com/recaptcha/docs/reference/rest/v1/projects.firewallpolicies/reorder#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/recaptcha/docs/reference/rest/v1/projects.firewallpolicies/reorder#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/recaptcha/docs/reference/rest/v1/projects.firewallpolicies/reorder#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/recaptcha/docs/reference/rest/v1/projects.firewallpolicies/reorder#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/recaptcha/docs/reference/rest/v1/projects.firewallpolicies/reorder#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/recaptcha/docs/reference/rest/v1/projects.firewallpolicies/reorder#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/recaptcha/docs/reference/rest/v1/projects.firewallpolicies/reorder#body.aspect_1)

Reorders all firewall policies.

### HTTP request

`POST https://recaptchaenterprise.googleapis.com/v1/{parent=projects/*}/firewallpolicies:reorder`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The name of the project to list the policies for, in the format `projects/{project}`. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "names": [ string ] } ``` |

| Fields ||
|---|---|
| `names[]` | `string` Required. A list containing all policy names, in the new order. Each name is in the format `projects/{project}/firewallpolicies/{firewallpolicy}`. |

### Response body

If successful, the response body is empty.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `recaptchaenterprise.firewallpolicies.update`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).